Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Errores al actualizar a la versión 1.5.16  (Read 5250 times)

0 Members and 1 Guest are viewing this topic.

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Errores al actualizar a la versión 1.5.16
« on: October 16, 2011, 10:40:40 am »

Después de actualizar de la verisón 1.5.10 a la versión 1.5.16 parece que todo ha ido bien pero al "Verficar versión" me salen 540 mensajes como éste:

El fichero está corrupto (o lo has editado deliberadamente).

También me parece extraño que salgan estas noticias:

•2011-09-01: cpg1.5.16 has been released. It's a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.14 or older update to this latest version as soon as possible.
•2011-08-01: cpg1.5.14 has been released. It fixes various issues, so all users of the cpg1.5.x series are encouraged to upgrade. The upgrade is not security-related.
•2011-01-02: cpg1.5.12 has been released. It's a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.10 or older update to this latest version as soon as possible.

¡Gracias!

Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #1 on: October 16, 2011, 05:21:27 pm »

Hola de nuevo.

Se me olvidó decir que este problema no lo tengo cuando hago las pruebas en local.

¿Y si vuelvo a instalar Coppermine de nuevo?

Gracias
Logged

jmatute

  • Moderator
  • Coppermine frequent poster
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 453
Re: Errores al actualizar a la versión 1.5.16
« Reply #2 on: October 19, 2011, 06:12:21 am »

Hola,

¿En qué ficheros te da los errores? Si todos son de imágenes es que por alguna razón no están subiendo como binario a tu servidor web. Usa un cliente ftp como FileZilla, o la extensión FireFTP en firefox. Sólo serían preocupantes si tre dieran en los ficheros php. Es normal que no te de en local si esa es la razón.

En cuanto a las noticias: Sólo se le muestran al administrador de la galería, y vienen bien para ver los últimos anuncios del equipo de desarrollo de CPG. Pero si prefieres desactivarlas ve a la configuración -> Mantenimiento -> Mostrar noticias de coppermine-gallery.net

Y no olvides poner un enlace a tu galería la próximna vez, como piden las reglas del foro.
Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #3 on: October 19, 2011, 11:51:03 pm »

Buenas

Perdón por saltarme las normas del foro pero ha sido por despiste.  La dirección de mi galería es: www.ignacio.nom.es

Lo malo es que los ficheros con los que tengo problemas tienen de extensiones: txt, php, htm, html, css, sql y js, ná menos.  En total 540 errores.

¿Por qué dices que son preocupantes?.

¿Qué puedo hacer?.

Gracias




Logged

jmatute

  • Moderator
  • Coppermine frequent poster
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 453
Re: Errores al actualizar a la versión 1.5.16
« Reply #4 on: October 20, 2011, 08:23:22 am »

Vaya... todos los buenos. Huele a que el programa de FTP te la ha jugado. ¿Cuál usas?

Asegúrate de que te descargas la última versión, y que los subes al servidor web mediante una herramienta que no los modifique (los mencionados FileZilla o FireFTP).

Saludos,
Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #5 on: October 20, 2011, 09:45:47 am »

Gracias por tu rápida respuesta.

He bajado la última versión de Coppermine desde el enlace que se recomienda en este foro.

Utilizo FileZilla.

He actualizado, y como aparecían estos problemas, he instalado de nuevo y lo mismo.

No entiendo que es lo que está pasando, pero me parece muy dificil que se haya corrompido tanto fichero en la actualización y en la nueva instalación.

Saludos



 

Logged

XiCuLiN

  • Coppermine newbie
  • Country: es
  • Offline Offline
  • Gender: Male
  • Posts: 14
    • Mi Rinconcito
Re: Errores al actualizar a la versión 1.5.16
« Reply #6 on: October 22, 2011, 03:29:48 pm »

Saludos!

Andaba trasteando instalando la ultima versión, y al subirla... pues me pasaba lo mismo, también uso Filezilla, tanto uno instalado en mi pc, como uno portable en un usb, y con ambos, mismo resultado, incluso pasé el anti-virus (avast) a ver si era eso, y parece que tampoco.

La forma de solucionarlo, fué la siguiente, que incluso, se hace hasta mas rapido el subir los archivos.

1º Renombré (por comodidad) el .zip que me bajé de aqui, (de cpg1.5.16.zip a cpg.zip), y lo subí al directorio raiz
2º Cree un php con el siguiente texto y también lo subí al directorio raiz.
Code: [Select]
<?php system('unzip cpg.zip'); ?>3º Accedi mediante el navegador a ese archivo, (en mi caso, lo llamé unz.php -> www.loquesea.com/unz.php), y lo que hace, es descomprimir ese archivo.
4º Predeterminadamente, me creó la carpeta cpg15x en el directorio raiz, con sus archivos dentro, simplemente, renombrar la carpeta de cpg15x al nombre que queramos tener la galeria.

Luego ya, la instalación de forma normal.

Espero que os sirva esa solución, al menos a mi, si, al hacer la comprobación, de "Mostrando 2230 entradas de 2230 carpetas/ficheros procesados con 544 posibles problemas" que me pasaba antes, a "Mostrando 2230 entradas de 2230 carpetas/ficheros procesados con 0 posibles problemas"

P.D. cuando se ejecuta el unz.php (al menos a mi), se vé algo asi... " Archive: cpg.zip creating: cpg15x/ inflating: cpg15x/addfav.php inflating: cpg15x/addpic.php inflating: cpg15x/admin.php inflating: cpg15x/albmgr.php creating: cpg15x/albums/ creating: cpg15x/albums/edit/ inflating: cpg15x/albums/edit/index.php inflating: cpg15x/albums/edit/no_FTP-uploads_into_this_folder!.txt .... así con todos los archivos" esto vendria a ser el "debug" de la acción que hicimos.

Un saludo

(en principio, todavia no tengo claro donde voy a poner la galeria, por el tema de datos de soporte y demas para el foro, asi que de momento, como en anteriores (y viejos posts mios), os dejo otra galeria en mi server que me meteré con ella mas adelante... www.xiculin.es/serviola )

Supongo que ya os daré el coñazo mas adelante cuando no me empiezen a salir las cosas como quiera :o)
Logged
www.xiculin.es/serviola Coppermine Photo Gallery 1.4.25 (stable) (pendiente de actualizar)
www.xiculin.es/yanira Coppermine Photo Gallery 1.5.16

jmatute

  • Moderator
  • Coppermine frequent poster
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 453
Re: Errores al actualizar a la versión 1.5.16
« Reply #7 on: October 22, 2011, 06:03:47 pm »

Me quito el sombrero.

Dependes de que en tu servidor web exista el unzip, pero en principio me parece una solución brillante. Espero que sirva para los problemas de iramonf.

No se te olvide borrar después el cpg.zip o el cpg1.5.16.zip, y el unz.php.

Gracias,
José Luis.

Logged

XiCuLiN

  • Coppermine newbie
  • Country: es
  • Offline Offline
  • Gender: Male
  • Posts: 14
    • Mi Rinconcito
Re: Errores al actualizar a la versión 1.5.16
« Reply #8 on: October 22, 2011, 10:12:07 pm »

mmmmm

Efectivamente,dependes de que tenga esa libreria el servidor (que segun veo, puede ser algo habitual), y obviamente, borrar el php y el zip que se usó para descomprimir.... lo dí por hecho.... gracias por matizar ese punto, pido disculpas. :'(

De todos modos, en mi busqueda de solución de este problema, algo ví por ahi, que se puede hacer también algun otro apaño para descomprimir directamente en el servidor, pero bueno, me refiero a servidores de pago, no gratuitos, en los cuales, sueles tener (salvo excepciones) todas estas librerias, y si falta algo, suelen implementarlo sin demasiados problemas.

Un saludo  :)
Logged
www.xiculin.es/serviola Coppermine Photo Gallery 1.4.25 (stable) (pendiente de actualizar)
www.xiculin.es/yanira Coppermine Photo Gallery 1.5.16

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #9 on: October 23, 2011, 09:34:18 am »

Buenasss

Ayer, cuando entré en Filezilla, me avisó de que había una nueva versión y si quería actualizar.

Me pareció una buena idea hacerlo, pero desde entonces no me funciona.

En consecuencia la resolución del problema principal queda aparcada.

Filezilla me ha funcionado muy bien siempre por lo que no entra en mis planes cambiar a otro programa.

Muchas gracias por vuestra ayuda.

 
Logged

XiCuLiN

  • Coppermine newbie
  • Country: es
  • Offline Offline
  • Gender: Male
  • Posts: 14
    • Mi Rinconcito
Re: Errores al actualizar a la versión 1.5.16
« Reply #10 on: October 23, 2011, 09:44:22 pm »

Quote
Ayer, cuando entré en Filezilla, me avisó de que había una nueva versión y si quería actualizar.

Me pareció una buena idea hacerlo, pero desde entonces no me funciona.

no te funciona el qué? te sigue el mismo fallo, o no te funciona el filezilla en sí?.

Normalmente, las actualizaciones no suelen dar problemas, pero siempre existe esa posibilidad, prueba a guardar los datos que tengas de las conexiones, en el gestor de sitios, pinchas con el boton derecho encima del nombre, y le das a exportar..., desinstala y reinstala desde 0 el filezilla, y luego ya importas las cuentas que tenias de antes.

Hace tiempo, en uno de los servidores que tenia, me daba problemas, que no me leia directorios y demas, y tuve que cambiar el modo, de "automatico" a "pasivo", prueba a ver como lo tienes, y probar a dejarlo fijo en pasivo ó activo, a ver si te puede venir por ahí el problema (en opciones de transferencia, dentro de la cuenta en el gestor de sitios).

Si viene por aqui tu problema y esto te lo soluciona, me alegro, si nó, a ver, ya nos contarás
Logged
www.xiculin.es/serviola Coppermine Photo Gallery 1.4.25 (stable) (pendiente de actualizar)
www.xiculin.es/yanira Coppermine Photo Gallery 1.5.16

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #11 on: October 24, 2011, 10:33:56 am »

  Perdón por la mala redacción. Me estaba refiriendo en todo momento a FileZilla, que no conectaba ni a tiros.

  Pero esta mañana se me ha encendido la bombilla y lo que he hecho es desinstalar FileZilla y volver a instalar "en otro directorio" (esta operación ya la había probado antes pero sin cambiar de directorio).    ¡Y ha funcionado a la primera!.

  Un problema menos....

  En cuanto al mensaje de error que recuerdo que era:  El fichero está corrupto (o lo has editado deliberadamente) , me parece increible que se hayan corrompido tantos ficheros, y tan diferentes, de la noche a la mañana y además no entiendo eso de "editado deliberadamente".

  Creo que tengo que leer algo más sobre FileZilla y luego, si no se me ocurre otra cosa, haré lo que me has recomendado, XiCuLiN.

  Os mantendré informados pero creo que tardaré algún tiempo porque tengo trabajo acumulado.

  ¡Salud!



 






Logged

XiCuLiN

  • Coppermine newbie
  • Country: es
  • Offline Offline
  • Gender: Male
  • Posts: 14
    • Mi Rinconcito
Re: Errores al actualizar a la versión 1.5.16
« Reply #12 on: October 24, 2011, 08:00:04 pm »

Aunque no revisé el script de instalación, ese mensaje que te dá de "El fichero está corrupto (o lo has editado deliberadamente)", debe de hacer lo siguiente:

Por ejemplo, el fichero indice.php, originalmente, deberá ocupar 123456 bytes, pero a la hora de instalar y comprobar, ese archivo, ocupa 123459 bytes... entonces, una de dos, o lo editaste deliberadamente (quiere decir que lo modificaste tú, y si es así, ignoras ese mensaje, ya que modificaste tú el fichero a tu gusto), o está corrupto (que se modificó el archivo, y tú no sabes nada al respecto, entonces, puede contener errores, bien por el propio programa de ftp, o por un virus de estos cabrones, que sí, los hay que te modifican los .php, que ya me pasó hace tiempo).

espero haberme explicado.

Ahora, por qué te salen esos mensajes como me salian a mi?, no lo sé, la solución, la que puse, al menos en mi caso, y mi anti-virus, al menos, no me detecta nada (avast free)

Un saludo
Logged
www.xiculin.es/serviola Coppermine Photo Gallery 1.4.25 (stable) (pendiente de actualizar)
www.xiculin.es/yanira Coppermine Photo Gallery 1.5.16

jmatute

  • Moderator
  • Coppermine frequent poster
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 453
Re: Errores al actualizar a la versión 1.5.16
« Reply #13 on: October 24, 2011, 09:27:32 pm »

Hola,

Lo más normal es que se cambie un carácter durante la subida FTP. Por ejempo el fin de línea de UNIX (ASCII 13) por los dos de Windows (ASCII 13 seguido de ASCII 10). Al comparar después con el repositorio online, o con el fichero XML si lo hace en local, encuentra diferencias en los ficheros.

Yo descartaría el virus porque afecta a ficheros txt o css, y no solo a los js, php o html.

Ya nos contarás.

Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #14 on: October 26, 2011, 11:05:33 am »

Buenas

Me he puesto en contacto con la empresa en la que tengo alojada mi web y me ha respondido que “no” es posible descomprimir un archivo directamente en su servidor y también que en la propia ayuda de Coppermine se dice lo siguiente:

http://documentation.copperminegallery.net/en/upgrading.htm#versioncheck_comparison_modified   


Por mi parte hace días que comparé el número de bytes que ocupan algunos de los ficheros afectados en el servidor, en el paquete de actualización y en la instalación local y no hay diferencia alguna.

Casi estoy seguro de que no se trata de virus pero a todos estos ficheros les pasaré Panda, mi antivirus.

Ya os contaré.

Gracias a todos.






 
 
Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #15 on: October 26, 2011, 11:09:57 am »

Cuesta más decirlo que hacerlo.

Ya he pasado el antivirus a la carpeta cpg1.5.16, ha analizado 2180 ficheros y me responde que no ha encontrado virus ni software malicioso.

Ignacio
Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #16 on: October 26, 2011, 11:30:02 am »

¡Rectifico mi penúltimo post!

No sé como ha podido ocurrir pero he vuelto a comprobar el número de bytes que ocupa el fichero afectado addfav.php y el resultado es:

  • Ocupa 2440 bytes en la carpeta descomprimida cpg1.5.16
  • Ocupa 2440 bytes en mi instalación local, por eso en local no señala posibles errores
[li]Ocupa 2372 bytes en el servidor remoto, por eso señala posibles errores.
[/li][/list]

Mi intención ahora es hacer esa misma comprobación pero con cada uno de los tipos de ficheros afectados pero supongo que irá en la misma línea.
Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #17 on: October 26, 2011, 12:41:13 pm »

He podido sacar un ratillo y ya he comprobado los bytes que ocupan algunos ficheros.

El primer número muestra los bytes que ocupa el fichero en la carpeta cpg1.5.16, el segundo en el servidor local y el tercero en el remoto         

css/treeview.css,         2564   2564   2.485
css/coppermine.css         3829   3829   3.647
admin.php                      31.047   31.047   30.404
index.php                       51.684   51.684   50.485
include/admin.inc.php         74.892   74.892     73.313      
js/admin.js                6.018    6.018   5.859
js/editpics.js            1.122   1.122   1.090   
sql/update.sql            36.515      36.515   35.988      
sql/basic.sql           37.369     37.369   36.923      
themes/curve/template.html        2.476      2.476   2.409      
themes/water_drop/template.html     1.726      1.726   1.678      

Era de esperar.

Logged

iramonf

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 31
Re: Errores al actualizar a la versión 1.5.16
« Reply #18 on: October 26, 2011, 07:42:10 pm »

¿No será que hay que hay que hacer la transferencia en binario?.

Con las versiones anteriores de FileZilla empleaba la transferencia automática e iba bien, desde que apareció el problema he probado en ascii y modificaba el número de bytes de los ficheros.

Pero creo que, a falta de hacer más pruebas,  es en binario como funciona bien.

A ver si es verdad.


¡Esto parece un monólogo!.

Logged

jmatute

  • Moderator
  • Coppermine frequent poster
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 453
Re: Errores al actualizar a la versión 1.5.16
« Reply #19 on: October 26, 2011, 09:00:16 pm »

Hola,

Perdona por no contestar antes con mis impresiones. Tenemos un marrón en el curro de tamaño king size...

He comprobado en un par de los ejemplos que pones que si en lugar de tener el formato windows para el fin de linea (ASCII 13 + ASCII 10) pones el formato Unix (sólo ASCII 10) te quedan los tamaños que dices. Así que FileZilla detecta que tienes los ficheros en un Windows y los estás subiendo a un Unix, y los cambia.

Prueba a subir en binario. No es lo ideal pero debería solucionar el 'problema'.

Saludos,
Logged
Pages: [1]   Go Up
 

Page created in 0.025 seconds with 19 queries.